Webhooks

Use this section to inspect every webhook event type Footprint sends and to test your webhook integration.

Events

footprint.onboarding.completed

The user has completed onboarding onto a playbook and we have a terminal status.

In most cases, this will fire as the user finishes the onboarding flow. In some cases (like KYB), the terminal verification status may not come until a few minutes after the user has exited the onboarding flow.

Generally, you should be able to receive the completed onboarding's status synchronously when the user finishes onboarding via the GET /onboardings/{id} API. You only need to listen to the status here as a fallback in case a user's status is pending after they finish onboarding. For more information see here.

event_kind·

string

Allowed values:

footprint.onboarding.completed
external_id·

optional string

fp_id·

string

is_live·

boolean

onboarding_external_id·

optional string

onboarding_id·

string

playbook_key·

optional string

playbook_version·

optional integer

requires_manual_review·

boolean

status·

string

Allowed values:

fail
pass
none
error
timestamp·

string

Payload example
{
  "event_kind": "footprint.onboarding.completed",
  "fp_id": "fp_id_xyz",
  "timestamp": "2024-06-14T02:40:00Z",
  "status": "pass",
  "playbook_key": "pb_test_QoEYTOve49Q2IAmaKVYnPs",
  "playbook_version": 3,
  "requires_manual_review": false,
  "is_live": false,
  "onboarding_id": "ob_SRFT2a1mN7DAWJ0VPXkiqK",
  "external_id": null,
  "onboarding_external_id": null
}